Subject: [proto-team] Re: I-D ACTION:draft-ietf-proto-wgchair-doc-shepherding-06.txt

From: Brian E Carpenter <[email-masked]>
Date: Fri, 10 Mar 2006 08:52:40 +0100

Hi,

Thanks for the update. Here are my comments. Most of them are small
and could be dealt with after Last Call. However, I'd like to hear
what you think about the first two.

1. One of the things we realised in the PESCI team is that there is
often confusion in the IETF between formal process (absolute
requirements of the standards process as defined by applicable BCPs)
and operational procedure (methods used to implement the formal
process). There could be many different procedures that meet the
requirements of the formal process. In that view, PROTO is a
procedure. I have some trouble with the use of the word "process" -
it makes complete sense as a usage of the English word "process"
but it doesn't modify anything in the IETF "process". It seems you
basically agree since this is intended to be an Informational RFC.

Suggestion: add a statement in the Introduction like:

    The PROTO process makes no formal change to the IETF standards
    process. It is in fact a set of operational procedures intended
    to make the formal process work as effectively as possible.

This would fit nicely after the reference to the IESG.

2. I don't see anything about how the PROTO shepherd helps in
summarizing and responding to IETF Last Call comments. That
seems to be a gap at a fairly time critical moment (between LC
and telechat). I've certainly seen WG chairs doing that.

Smaller comments:

> Abstract

It's longer than we normally like these days. It could be chopped
after the first paragraph (and add bullet 5 into the bullet list
in the Introduction).

> 3.1.  WG Chair Write-Up for Publication Request
...
>    in flux).  In addition to making life easier for the ADs, this is
>    important for the IETF Chair's Gen-ART [GEN-ART] Directorate and
>    other directorates, so they can know where to address reviews in
>    addition to the Responsible Area Director.

Gen-ART is a team, not a directorate.

> 3.3.  IESG Discuss Shepherding
...
>    3.g) After the author(s) resolve the issues provided by the
>         Shepherding WG Chair (i.e., the summarised DISCUSS issues), the
>         Shepherding WG Chair reviews the updated document to ensure that
>         (in her/his option) the DISCUSS issues have been resolved.

That should be "reviews the updated document or the proposed Note to the
RFC Editor".

> 4.  When Not to Use PROTO
> 
>    As mentioned above, there are several cases in which the PROTO
>    process SHOULD NOT be used.  These include
> 
>    1.  Those cases in which the WG chair primary document author or
>        editor, or the WG chair is the primary author or editor of a
>        large percentage of the documents produced by the working group,

There's an "is the" missing but more substantively, this is phrased for the
case where there is only one WG chair. How about

    1.  Those cases in which a WG chair is the primary document author or
        editor, or a WG chair is the primary author or editor of a
        large percentage of the documents produced by the working group,
        and no co-chair is available without this conflict,

> [I-D.iesg-discuss-criteria]

There's no immediate plan to publish this as an RFC. However, there is
a somewhat stable URL at
http://www.ietf.org/u/ietfchair/discuss-criteria.html

(Side note - I don't agree completely with draft-alvestrand-ipod-00.txt
but we definitely need something like that, and if we had it today
that would be my preferred way to publish both the PROTO draft
and the discuss-criteria.)

(Another side note - I will add the PROTO draft to the AOB list for
the genarea open meeting.)

     Brian

_______________________________________________
proto-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/proto-team